GIT-BRANCH(1)

NAME
git-branch - List, create, or delete branches.

SYNOPSIS

    git-branch [-r]
    git-branch [-l] [-f] <branchname> [<start-point>]
    git-branch (-d | -D) <branchname>...

DESCRIPTION
With no arguments given (or just -r) a list of available branches will be shown, the current branch will be highlighted with an asterisk..sp In its second form, a new branch named <branchname> will be created. It will start out with a head equal to the one given as <start-point>. If no <start-point> is given, the branch will be created with a head equal to that of the currently checked out branch..sp With a -d or -D option, <branchname> will be deleted. You may specify more than one branch for deletion. If the branch currently has a ref log then the ref log will also be deleted..sp

OPTIONS

-d  Delete a branch. The branch must be fully merged.

-D  Delete a branch irrespective of its index status.

-l  Create the branch's ref log. This activates recording of all changes to made the branch ref, enabling use of date

-f  Force the creation of a new branch even if it means deleting a branch that already exists with the same name.

-r  List only the "remote" branches.

<branchname>
    The name of the branch to create or delete. The new branch name must pass all checks defined by git-check-ref-format(1). Some of these checks may restrict the characters allowed in a branch name.

<start-point>
    The new branch will be created with a HEAD equal to this. It may be given as a branch name, a commit-id, or a tag. If this option is omitted, the current branch is assumed.

EXAMPLES

Start development off of a known tag

    $ git clone git://git.kernel.org/pub/scm/.../linux-2.6 my2.6
    $ cd my2.6
    $ git branch my2.6.14 v2.6.14   (1)
    $ git checkout my2.6.14

1. This step and the next one could be combined into a single step with "checkout -b my2.6.14 v2.6.14".

Delete unneeded branch

    $ git clone git://git.kernel.org/.../git.git my.git
    $ cd my.git
    $ git branch -D todo    (1)

1. delete todo branch even if the "master" branch does not have all commits from todo branch.

NOTES
If you are creating a branch that you want to immediately checkout, it's easier to use the git checkout command with its -b option to create a branch and check it out with a single command..sp

AUTHOR
Written by Linus Torvalds <torvalds@osdl.org> and Junio C Hamano <junkio@cox.net>.sp

DOCUMENTATION
Documentation by Junio C Hamano and the git-list <git@vger.kernel.org>..sp

GIT
Part of the git(7) suite.sp